Package org.lwjgl.opengl

# Interface InputImplementation

public interface InputImplementation

## Method Summary

Modifier and Type
Method
Description
`Object`
`createCursor(int width, int height, int xHotspot, int yHotspot, int numImages, IntBuffer images, IntBuffer delays)`
Native cursor handles
`void`
`createKeyboard()`
Method to create the keyboard
`void`
`createMouse()`
Method to create the mouse.
`void`
`destroyCursor(Object cursor_handle)`
`void`
`destroyKeyboard()`
Method to destroy the keyboard
`void`
`destroyMouse()`
Method the destroy the mouse
`int`
`getButtonCount()`
Query of button count
`int`
`getHeight()`
`int`
`getMaxCursorSize()`
Method returning the maximum cursor size
`int`
`getMinCursorSize()`
Method returning the minimum cursor size
`int`
`getNativeCursorCapabilities()`
Function to determine native cursor support
`int`
`getWidth()`
`void`
`grabMouse(boolean grab)`
`boolean`
`hasWheel()`
Query of wheel support
`boolean`
`isInsideWindow()`
`void`
`pollKeyboard(ByteBuffer keyDownBuffer)`
Method to poll the keyboard.
`void`
`pollMouse(IntBuffer coord_buffer, ByteBuffer buttons)`
Method to poll the mouse
`void`
`readKeyboard(ByteBuffer buffer)`
Method to read the keyboard buffer
`void`
`readMouse(ByteBuffer buffer)`
Method to read the mouse buffer
`void`
`setCursorPosition(int x, int y)`
Method to set the native cursor position
`void`
`setNativeCursor(Object handle)`
Method to set the native cursor

## Method Details

### hasWheel

boolean hasWheel()
Query of wheel support

### getButtonCount

int getButtonCount()
Query of button count

### createMouse

void createMouse() throws LWJGLException
Method to create the mouse.

Throws:
  `LWJGLException`

### destroyMouse

void destroyMouse()
Method the destroy the mouse

### pollMouse

void pollMouse(IntBuffer coord_buffer, ByteBuffer buttons)
Method to poll the mouse

### readMouse

void readMouse(ByteBuffer buffer)
Method to read the mouse buffer

### grabMouse

void grabMouse(boolean grab)

### getNativeCursorCapabilities

int getNativeCursorCapabilities()
Function to determine native cursor support

### setCursorPosition

void setCursorPosition(int x, int y)
Method to set the native cursor position

### setNativeCursor

void setNativeCursor(Object handle) throws LWJGLException
Method to set the native cursor

Throws:
  `LWJGLException`

### getMinCursorSize

int getMinCursorSize()
Method returning the minimum cursor size

### getMaxCursorSize

int getMaxCursorSize()
Method returning the maximum cursor size

### createKeyboard

void createKeyboard() throws LWJGLException
Method to create the keyboard

Throws:
  `LWJGLException`

### destroyKeyboard

void destroyKeyboard()
Method to destroy the keyboard

### pollKeyboard

void pollKeyboard(ByteBuffer keyDownBuffer)
Method to poll the keyboard.

Parameters:
  `keyDownBuffer` - the address of a 256-byte buffer to place key states in.

### readKeyboard

void readKeyboard(ByteBuffer buffer)
Method to read the keyboard buffer

### createCursor

Object createCursor(int width, int height, int xHotspot, int yHotspot, int numImages, IntBuffer images, IntBuffer delays) throws LWJGLException
Native cursor handles

Throws:
  `LWJGLException`

### destroyCursor

void destroyCursor(Object cursor_handle)

### getWidth

int getWidth()

### getHeight

int getHeight()

### isInsideWindow

boolean isInsideWindow()